OpenJPEG: index_param Struct Reference

OpenJPEG 2.5.0

Data Fields
index_param Struct Reference

index parameters More...

`#include <index_manager.h>`

## Data Fields
metadatalist_param_t * | metadatalist
| metadata-bin list
OPJ_OFF_T | offset
| codestream offset
Byte8_t | length
| codestream length
Byte8_t | mhead_length
| main header length
SIZmarker_param_t | SIZ
| SIZ marker information.
CODmarker_param_t | COD
| COD marker information.
faixbox_param_t * | tilepart
| tile part information from tpix box
mhixbox_param_t ** | tileheader
| dynamic array of tile header information from thix box
faixbox_param_t ** | precpacket
| dynamic array of precint packet information from ppix box

## Detailed Description

index parameters

## Field Documentation

## ◆ COD

CODmarker_param_t index_param::COD

COD marker information.

Referenced by enqueue_allprecincts(), enqueue_imagedata(), enqueue_precinct(), enqueue_precincts(), gene_JPIPstream(), print_index(), and set_mainmhixdata().

## ◆ length

Byte8_t index_param::length

codestream length

Referenced by print_index(), set_cidxdata(), and set_cptrdata().

## ◆ metadatalist

metadatalist_param_t* index_param::metadatalist

metadata-bin list

Referenced by enqueue_metadata(), gene_JPIPstream(), parse_jp2file(), and print_index().

## ◆ mhead_length

Byte8_t index_param::mhead_length

main header length

Referenced by enqueue_mainheader(), print_index(), and set_mainmhixdata().

## ◆ offset

OPJ_OFF_T index_param::offset

codestream offset

Referenced by enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), print_index(), set_cidxdata(), and set_cptrdata().

## ◆ precpacket

faixbox_param_t** index_param::precpacket

dynamic array of precint packet information from ppix box

Referenced by enqueue_precinct(), gene_cachemodel(), is_allsent(), print_cachemodel(), print_index(), and set_ppixdata().

## ◆ SIZ

SIZmarker_param_t index_param::SIZ

SIZ marker information.

Referenced by enqueue_allprecincts(), enqueue_imagedata(), enqueue_precinct(), enqueue_precincts(), gene_cachemodel(), is_allsent(), print_cachemodel(), print_index(), set_mainmhixdata(), set_ppixdata(), and set_thixdata().

## ◆ tileheader

mhixbox_param_t** index_param::tileheader

dynamic array of tile header information from thix box

Referenced by enqueue_tileheader(), print_index(), and set_thixdata().

## ◆ tilepart

faixbox_param_t* index_param::tilepart

tile part information from tpix box

Referenced by enqueue_imagedata(), enqueue_tile(), enqueue_tileheader(), gene_cachemodel(), is_allsent(), isJPTfeasible(), print_cachemodel(), print_index(), and set_tpixdata().

The documentation for this struct was generated from the following file:

- index_manager.h